summaryrefslogtreecommitdiffstats
path: root/source/d/rust/rust.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/rust/rust.SlackBuild')
-rwxr-xr-xsource/d/rust/rust.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/source/d/rust/rust.SlackBuild b/source/d/rust/rust.SlackBuild
index 7c045f4b9..99b86d080 100755
--- a/source/d/rust/rust.SlackBuild
+++ b/source/d/rust/rust.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rust
SRCNAM="${PKGNAM}c"
-VERSION=${VERSION:-1.51.0}
+VERSION=${VERSION:-1.52.1}
BUILD=${BUILD:-1}
# Set this to YES to build with the system LLVM, or NO to use the bundled LLVM.
@@ -34,9 +34,9 @@ BUILD=${BUILD:-1}
SYSTEM_LLVM=${SYSTEM_LLVM:-YES}
# Bootstrap variables (might not be kept updated for latest Rust):
-RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.50.0}
-RSTAGE0_DIR=${RSTAGE0_DIR:-2021-02-11}
-CSTAGE0_VERSION=${CSTAGE0_VERSION:-1.50.0}
+RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.51.0}
+RSTAGE0_DIR=${RSTAGE0_DIR:-2021-03-25}
+CSTAGE0_VERSION=${CSTAGE0_VERSION:-1.51.0}
CSTAGE0_DIR=${CSTAGE0_DIR:-$RSTAGE0_DIR}
# Automatically determine the architecture we're building on:
@@ -232,8 +232,8 @@ elif [ "$BARCH" = "i686" ] ; then
fi
# Build and install:
-python x.py dist || exit 1
-DESTDIR=$PKG python x.py install || exit 1
+python3 x.py dist || exit 1
+DESTDIR=$PKG python3 x.py install || exit 1
# Eh, none of this is all that big. Might as well leave it around as a
# reference.